opamergeperf2(8)

NAME
opamergeperf2

Merges the output from two opaextactperf2 runs from the same fabric. Delta counters for matching links will be computed (before subtracted from after) and a CSV file equivalent to opaextractperf2 's output format will be generated suitable for importing into a spreadsheet or parsing by other scripts.

NOTE: The before.csv and after.csv input files must be generated from the same fabric, with before.csv containing counters prior to after.csv. Both files must have been generated to contain the running counters

without any counter clears between before.csv and after.csv, and without using any interval options to opareport that might report delta counters, such as opareport -i or opareport with both --begin and --end options.

Syntax
opamergeperf2 before.csv after.csv

Options

--help

    Produces full help text.

before.csv

    A CSV file previously generated by opaextractperf2.

after.csv

    A CSV file previously generated by opaextractperf2.

Examples
opamergeperf2 before.csv after.csv > delta.csv

See Also

opaextractperf2